<?php 

//incluir la conexion de base de datos
require "../config/Conexion.php";
// declaration
class Relacionarticulomayorindividual{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($idarticulo,$idarticuloi){
	$sql="INSERT INTO relacionarticulomayorindividual (idarticulo,idarticuloi) VALUES ('$idarticulo','$idarticuloi')";
  //  echo $sql;
    return ejecutarConsulta($sql);
}

public function editar($idrelacionarticulomayorindividual,$idarticulo,$idarticuloi){
	$sql="UPDATE relacionarticulomayorindividual SET idarticulo='$idarticulo',idarticuloi='$idarticuloi'	WHERE idrelacionarticulomayorindividual='$idrelacionarticulomayorindividual'";
	return ejecutarConsulta($sql);
}
//funcion para eliminar datos
public function eliminar($idrelacionarticulomayorindividual){
	$sql="DELETE FROM relacionarticulomayorindividual WHERE idrelacionarticulomayorindividual='$idrelacionarticulomayorindividual'";
	return ejecutarConsulta($sql);
}

public function desactivar($idrelacionarticulomayorindividual){
	$sql="UPDATE relacionarticulomayorindividual SET condicion='0' WHERE idrelacionarticulomayorindividual='$idrelacionarticulomayorindividual'";
	return ejecutarConsulta($sql);
}

public function activar($idrelacionarticulomayorindividual){
	$sql="UPDATE relacionarticulomayorindividual SET condicion='1' WHERE idrelacionarticulomayorindividual='$idrelacionarticulomayorindividual'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idrelacionarticulomayorindividual){
	$sql="SELECT * FROM relacionarticulomayorindividual WHERE idrelacionarticulomayorindividual='$idrelacionarticulomayorindividual'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un cliente
public function buscarcliente($tipo_documento,$num_documento){
	$sql="SELECT * FROM subzona WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Cliente'";
	return ejecutarConsultaSimpleFila($sql);
}

//metodo para buscar un proveedor
public function buscarproveedor($tipo_documento,$num_documento){
	$sql="SELECT * FROM subzona WHERE tipo_documento='$tipo_documento' AND num_documento='$num_documento' AND tipo_persona='Proveedor'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listarg(){
	$sql="SELECT * FROM subzona WHERE tipo_persona='Gerente'";
	return ejecutarConsulta($sql);
}
public function listarv(){
	$sql="SELECT * FROM subzona";
  //echo $sql;
	return ejecutarConsulta($sql);
}

public function listar(){
	$sql="SELECT r.idrelacionarticulomayorindividual,r.idarticulo,z.nombre as articulomayor,r.idarticuloi, s.nombre as articuloindividual,r.condicion FROM relacionarticulomayorindividual r LEFT JOIN articulo z ON z.idarticulo=r.idarticulo LEFT JOIN articulo s ON s.idarticulo=r.idarticuloi";
	return ejecutarConsulta($sql);
}

public function listarct(){
	$sql="SELECT * FROM tarjeta WHERE condicion='1'";
	return ejecutarConsulta($sql);
}
}

?>
